Get downstream reseller

The Get downstream reseller method returns information about the current reseller or any of its downstream resellers.

For getting information about the current reseller or any of its downstream resellers, the Get reseller (Customer Store) method can also be used (see Get reseller (Customer Store)).

XML
GET {base_url}/api/v3/resellers/{reseller_id}

Arguments

Name

Parameter type

Data type

Required/Optional

Description

X-Api-Token

header

string

Required

API token of a manager that performs the operation (see


)

Content-Type

header

string

Required

Media type of the request. Specify the following: application/vnd.api+json

Accept

header

string

Required

Supported media types of the answer. Specify the following: application/vnd.api+json

base_url

path

string

Required

ActivePlatform URL

reseller_id

path

integer

Required

ID of the current reseller or any of its downstream resellers (see 


)

Response model

Name

Data type

Description

id

string

Reseller ID

type

string

Data type

attributes

object

Reseller information


created_at

date

Date and time of the reseller creation


updated_at

date

Date and time of the last update of the reseller information


parent_id

string

Upstream (parent) reseller ID


general

object

Model of the general information about the reseller



created_at

date

Date and time of the reseller creation



updated_at

date

Date and time of the last update of the reseller information



name

string

Reseller name



domain

string

Reseller domain



manager

string

Manager of the upstream reseller (Operator) that is attached to the reseller



currency

string

Reseller currency in the 

ISO 4217 alpha-3

format


company

object

Model of the information about the reseller company



created_at

date

Date and time of the reseller company creation



updated_at

date

Date and time of the last update of the reseller company information



city

string

City where the company is located



zip

string

Zip-code of the company



country

string

Company country code according to

ISO 3166-1 alpha-2

standard



fax

string

Company fax number



name

string

Company name



address_line_1

string

First line of the company address



address_line_2

string

Second line of the company address



state

string

State, in which the company is situated



phone

string

Phone number of the company:

  • + < country code > < city code or network code > < phone number >.

  • 00 < country code > < city code or network code > < phone number >.



email

string

Company email


contacts

object

Information about reseller contact person



created_at

date

Date and time of the reseller contact person creation



updated_at

date

Date and time of the last update of the reseller contact person information



first_name

string

First name of the company contact person



last_name

string

Last name of the company contact person



middle_name

string

Middle name of the company contact person



position

string

Position of the company contact person



phone

string

Phone number of the company contact person:

  • + < country code > < city code or network code > < phone number >.

  • 00 < country code > < city code or network code > < phone number >.



email

string

Company contact person's email


manager

object

Model of the information about the manager of the upstream reseller (operator) that is attached to the reseller



created_at

date

Date and time of the manager creation



updated_at

date

Date and time of the last update of the manager information



reseller_id

integer

ID of the upstream reseller (operator) linked to the manager



id

integer

Manager ID



name

string

Manager's name



status

string

Manager's status:

  • active — the manager has access to the Operator Control Panel.

  • inactive — the manager has no access to the Operator Control Panel.



email

string

Manager's email used as the login to signing in to the Operator Control Panel.



role

string

Manager's role (see


)



phone

string

Manager's phone number:

  • + < country code > < city code or network code > < phone number >

  • 00 < country code > < city code or network code > < phone number >



photo

string

Link to the file of the manager's photo



manager_key

string

Unique manager's key



custom_attributes

object

Manager attributes




['custom_attribute_key']

string

Manager attribute value for the specified attribute key


custom_attributes

object

Reseller attributes



['custom_attribute_key']

string

Reseller attribute value for the specified attribute key

Request example

XML
GET /api/v3/resellers/1
Host: test.activeplatform.com
Content-Type: application/vnd.api+json
X-Api-Token: vY5fwetest3gJXZH5uHCw
Accept: application/vnd.api+json

Response example

JSON
{
    "data": {
        "id": "1",
        "type": "resellers",
        "attributes": {
            "created_at": "2016-08-25T09:26:12.491+03:00",
            "updated_at": "2020-01-16T13:10:53.572+03:00",
            "parent_id": 27,
            "general": {
                "created_at": "2016-08-25T09:26:12.491+03:00",
                "updated_at": "2020-01-16T13:10:53.572+03:00",
                "name": "Reseller Root",
                "domain": "test.activeplatform.com",
                "manager": "Alena R",
                "currency": "BYN"
            },
            "company": {
                "created_at": "2016-08-25T09:26:12.491+03:00",
                "updated_at": "2020-01-16T13:10:53.572+03:00",
                "city": "Minsk",
                "zip": "220053",
                "country": "BY",
                "fax": "",
                "name": "Reseller Root",
                "address_line_1": "Main",
                "address_line_2": "str",
                "state": "Минская",
                "phone": "+375250000000",
                "email": "example3@gmail.com"
            },
            "contacts": {
                "created_at": "2016-08-25T09:26:12.491+03:00",
                "updated_at": "2020-01-16T13:10:53.572+03:00",
                "first_name": "Ivan",
                "last_name": "Ivanov",
                "middle_name": "",
                "position": "",
                "phone": "+375260000000",
                "email": "aaaa@example.ru"
            },
            "manager": {
                "created_at": "2017-10-12T15:27:56.354+03:00",
                "updated_at": "2020-11-13T15:49:13.667+03:00",
                "reseller_id": 1,
                "id": 188,
                "name": "Alena R",
                "status": "active",
                "email": "alena@example.com",
                "role": "sales",
                "phone": "+375270000000",
                "photo": "/images/manager/188/188.jpg",
				"manager_key": "",
                "custom_attributes": {}
                },
            "custom_attributes": {
                "inn": "",
                "email": "",
                "l": ""
            }
        }
    }
}